extends Spatial


var players = {} # keys are String, values are Players
const Player = preload("res://Scenes/Player.tscn")

remote func place_player(player_id : int, position : Vector3, rotation : Vector3) -> void:
	get_parent().console_print('Placing player with id: ' + String(player_id))
	var player = Player.instance()
	player.translation = position
	player.rotation = rotation
	add_child(player)
	players[player_id] = player

func init():
	get_parent().arena_ready()
